Get Matches

Returns a paginated, filterable list of football matches. Use the summary parameter to control whether lineups, stats, and events are included in the response. Supports filtering by status, team, competition, venue, date range, and season.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
Defaults to opta

The provider that the data was received from

integer
Defaults to 0

Based on the number of items per page [size], it may be required to page through lots of data. The page index is 0-indexed so 0 is the first page of data.

integer
Defaults to 1000

The number of matches to return per page.

string
Defaults to date

A single sort field, can be any field returned within the match object. prefixing the field with a "-" will sort descending, otherwise data is sorted ascending

status
array of strings

Return matches that only match the required statuses, can be passed as a comma-delimited list or as multiple parameters (&status=X&status=Y). Can be live, result, fixture and postponed. Default will return live, result and fixture

status
Allowed:
teamId
array of strings

Returns a list of matches where the home team or away team ID matches any in the list provided. Can be passed through as a comma-delimited list or as multiple paramters (&teamId=X&teamId=Y)

teamId
teamName
array of strings

Returns a list of matches where the home team or away team name matches the values provided. Can be a comma-delimited list or passed through as multiple parameters (&teamName=X&teamName=Y). Matches on whole team name only.

teamName
string
enum
Defaults to homeAndAway

Used in conjunction with the teamId and/or teamName field. Will return all matches for a given list of teams, by default will return home and away matches, but can be configured to return homeonly and awayonly.

Allowed:
compId
array of strings

Returns matches for a given list of ceompetition IDs. Can be sent as a comma-delimited list or as multiple parameters (&compId=X&compId=Y)

compId
compName
array of strings

Returns matches for a given list of competition names. Can be provided as a comma-delimited list or multiple parameters (&compName=X&compName=Y). Name is matched on exact string only.

compName
venueId
array of integers

Returns matches that are being played at a list of venues, by ID. Can be provided as a comma-delimited list or multiple parameters (&venueId=X&venueId=Y)

venueId
venueName
array of strings

Returns matches that are being played at a list of venues, by name. Can be provided as a comma-delimited list or multiple parameters (&venueName=X&venueName=Y). Matches on full name only.

venueName
season
array of strings

Returns matches for a given list of seasons, can be provided as a comma-delimited list or multiple parameters (&season=2025&season=2024)

season
date-time

Returns matches that started after this date. Must follow ISO 8601 format.

date-time

Returns matches that started before this date. Must follow ISO 8601 format.

boolean
Defaults to true

Should the matches contain summary information or not. If set to false, all matches will include matches events, VAR events and officials, which can lead to large responses.

boolean
Defaults to false

Include images for competition and team badges. Used in combination with clientId to indicate whether to use the global image library use a client's images

int64

Returns any match that matches on the skyId. As this is a single value it will result in only 1 match being returned irrespective of values provided above.

boolean
Defaults to false

Override the season parameter below and queries across all available seasons.

string

For a given list of match IDs this parameter will override their state and simulate as if the match schedule is meant to play today, when used in combination with liveMinute, it will put some matches in a state as if they are live at the time of the request. Can be provideded as a comma-delimited list of matchIDs, or as parameters (&fopta=1&fopta=2)

boolean
Defaults to false

Used in conjunction with fopta to return a simulated live match

boolean
Defaults to false

Return match history for each team as part of the payload. Will return simply whether the result fo the last X matches (controlled by formSize) was a win/lose or draw

integer
Defaults to 3

Used in conjunction with form to determine how many previous matches to return.

string
Defaults to GLOBAL

Used when returning images and for usage tracking. If no client ID is passed, will draw from the global stock images, when a client ID is passed, it will attempt to use a client's version of those images

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json